import { OnInit, ViewContainerRef } from '@angular/core';
import { AnimationFrameRef, GetComputedStyleRef, TimeoutRef } from 'ng-refs';
export declare class NgTransitionDirective<T = unknown> implements OnInit {
    private readonly animationFrameRef;
    private readonly getComputedStyleRef;
    private readonly timeoutRef;
    private readonly _viewContainer;
    private _context;
    private _init;
    private _ngTransitionEnter;
    private _ngTransitionEnterStart;
    private _ngTransitionEnterEnd;
    private _ngTransitionLeave;
    private _ngTransitionLeaveStart;
    private _ngTransitionLeaveEnd;
    constructor(animationFrameRef: AnimationFrameRef, getComputedStyleRef: GetComputedStyleRef, timeoutRef: TimeoutRef, _viewContainer: ViewContainerRef);
    ngOnInit(): void;
    set ngTransition(condition: T);
    set ngTransitionEnter(ngTransitionEnter: string);
    set ngTransitionEnterStart(ngTransitionEnterStart: string);
    set ngTransitionEnterEnd(ngTransitionEnterEnd: string);
    set ngTransitionLeave(ngTransitionLeave: string);
    set ngTransitionLeaveStart(ngTransitionLeaveStart: string);
    set ngTransitionLeaveEnd(ngTransitionLeaveEnd: string);
    private _updateView;
    private show;
    private hide;
    private getTargetElement;
    private setTargetElementDisplay;
}
